Ryzehosting
  1. webspace
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
      GET
    • details
      GET
    • renew
      POST
    • status
      GET
    • order
      POST
    • list
      GET
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. webspace

details

GET
webspace/details

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/webspace/details' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "uuid": "019b1ffc-696b-8fae-9834-bc39571c35d7"
}'
Response Response Example
200 - Success
{
    "response": "Successfully fetched webspace details",
    "state": "success",
    "code": 200,
    "data": {
        "uuid": "019b1ffc-696b-8fae-9834-bc39571c35d7",
        "id": 2,
        "state": "active",
        "state_text": "Active",
        "expire_at": "2026-02-13 04:12:58",
        "created_at": "2025-12-15 03:13:05",
        "updated_at": "2025-12-15 13:26:02",
        "package": {
            "uuid": "019b1f0a-2b52-81e9-b910-4fe8fa6c9ac9",
            "id": 3,
            "type": "plesk",
            "price": 5,
            "name": "PLESK03",
            "description": "",
            "specifications": {
                "disk_gb": 50,
                "domains": 50,
                "subdomains": -1,
                "databases": -1,
                "ftp_accounts": -1,
                "emails": -1
            },
            "features": []
        },
        "domain": "last-try.bond",
        "price": 5,
        "plesk_domain": "https://vweb01.ryzehosting.com/",
        "plesk_user": "simon1_97773",
        "keyhelp_domain": null,
        "keyhelp_user": null
    }
}
Modified at 2025-12-30 03:58:17
Previous
packages
Next
renew
Built with